Summary:        Tool to translate x86-64 CPU Machine Check Exception data.
Name:           mcelog
Version:        0.3
Release: 	%(R="$Revision$"; RR="${R##: }"; echo ${RR%%?})
Serial:         1
Group:          System Environment/Base
License:        GPL
Source0:        mcelog-0.3.tar.gz
Buildroot:      %{_tmppath}/%{name}-%{version}-root
ExclusiveArch:	x86_64

%description
mcelog is a daemon that collects and decodes Machine Check Exception data
on x86-64 machines.
ftp://ftp.x86-64.org/pub/linux/tools/mcelog/

%prep
%setup -q -c

%build
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/share/man

cd mcelog-0.3
make CFLAGS="$RPM_OPT_FLAGS"
cd ..

%install
mkdir -p %{buildroot}/usr/share/man/man{1,8}
cd mcelog-0.3
install mcelog %{buildroot}/usr/sbin/mcelog
install mcelog.cron %{buildroot}/etc/cron.daily/mcelog.cron
cp mcelog.8 %{buildroot}/usr/share/man/man8
rm %{buildroot}/etc/init.d/mcelog
cd ..
chmod -R a-s %{buildroot}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
/usr/sbin/mcelog
/etc/cron.daily/mcelog.cron
%attr(0644,root,root) %{_mandir}/*/*

%changelog
* Thu Jan 27 2005 Dave Jones <davej@redhat.com>
- Initial packaging.

